Overview | Modules | Class Hierarchy | Classes | Members

# PluginContext.h File Reference

`#include <tulip/Reflect.h>`
Include dependency graph for PluginContext.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::AlgorithmContext
    Parameter for calling clustering plugins. More...
- class tlp::PropertyContext
    This class is used as only parameter when calling Property plug-ins. It contains a Graph on whyich to run the plug-in, a PropertyInterface which will hold the result of the plug-in, and a PluginProgress to give feedback on the plug-in's progress. More...

## Namespaces

- namespace tlp

Tulip Software by LaBRI Visualization Team 2001 - 2011